//编写两个函数，将n个正整数中的素数按升序排序。
//函数功能分别是：判断一个数是否为素数，以及对数组进行排序。
//输入分2行：第一行为n的值，第二行为n个整数。要求输入输出均在主函数中完成。
#include<iostream>
#include<cmath>
using namespace std;

int f(int n)
{
	int c=0;
	if(n==2)
		c=1;
	for(int i=2;i<n;i++)
	{
		if(n%i==0)
			break;
		if(i==n-1)
			c=1;
		
	}
	return c;
}

void change(int s[],int n)
{
	int j=0,k=0,t=0;
	for(j=0;j<n-1;j++)
	{
		for(k=j+1;k<n;k++)
		{
			t=s[j];
		if(s[k]<s[j])
		{
			s[j]=s[k];
			s[k]=t;
			
		}
		}
	}
}

int main()
{
	int n,s[1000],sb[10000],a,j=0;
	cin>>n;
	for(int i=0;i<n;i++)
	{
		cin>>s[i];
	}
	for(int i=0;i<n;i++)
	{
		a=f(s[i]);
		if(a==1)
		{
			sb[j]=s[i];
			j++;
		}	
	}
	change(sb,j);
	for(int k=0;k<j;k++)
	{
		cout<<sb[k]<<" ";
	}
	
	return 0;
}
